GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidateParcelsResponse Class Reference

## Public Member Functions
boolean | isSuccess ()
void | setSuccess (boolean value)
ShipmentValidationResult | getValidationResult ()
void | setValidationResult (ShipmentValidationResult value)

## Protected Attributes
boolean | success
ShipmentValidationResult | validationResult

## Detailed Description

Response attributes of createShipment request

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="success" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
            <element name="validationResult" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ShipmentValidationResult"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 42 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidateParcelsResponse.java.

## Member Function Documentation

## ◆ getValidationResult()

ShipmentValidationResult eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidateParcelsResponse.getValidationResult | ( |  | ) |

Gets the value of the validationResult property.

Returns
  possible object is ShipmentValidationResult

Definition at line 72 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidateParcelsResponse.java.

## ◆ isSuccess()

boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidateParcelsResponse.isSuccess | ( |  | ) |

Gets the value of the success property.

Definition at line 52 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidateParcelsResponse.java.

## ◆ setSuccess()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidateParcelsResponse.setSuccess | ( | boolean | value | ) |

Sets the value of the success property.

Definition at line 60 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidateParcelsResponse.java.

## ◆ setValidationResult()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidateParcelsResponse.setValidationResult | ( | ShipmentValidationResult | value | ) |

Sets the value of the validationResult property.

Parameters

  value | allowed object is ShipmentValidationResult

Definition at line 84 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidateParcelsResponse.java.

## Member Data Documentation

## ◆ success

boolean eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidateParcelsResponse.success
| protected

Definition at line 44 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidateParcelsResponse.java.

## ◆ validationResult

ShipmentValidationResult eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidateParcelsResponse.validationResult
| protected

Definition at line 46 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidateParcelsResponse.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ValidateParcelsResponse.java